Skip to content
AI Security
Search
K
Main Navigation
App
Appearance
Menu
Return to top
Update campaign run.
PATCH
/backend/v1/campaign-runs/{campaignRunId}
Modifies the campaign run's status, name and start time.
Authorizations
HTTPBearer
Type
HTTP (bearer)
Parameters
Path Parameters
campaignRunId
*
Type
string
Required
Format
"uuid"
Request Body
application/json
Schema
JSON
JSON
{
"name"
:
"string"
,
"preserve"
:
true
,
"remediationSettings"
:
{
"autorun"
:
false
}
,
"startAt"
:
"string"
,
"status"
:
"string"
}
Responses
200
422
Successful Response
Content-Type
application/json
Schema
JSON
JSON
{
"message"
:
"string"
}
PATCH
/backend/v1/campaign-runs/{campaignRunId}
Playground
Server
Select a server...
Authorization
HTTPBearer
Variables
Key
Value
campaignRunId
*
Body
Try it out
Samples
Powered by
VitePress OpenAPI